<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionSwitchLights Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d6f/a07145.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionSwitchLights Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionSwitchLights:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d6f/a07145.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a77e4b7a324085f64aa3929e84b59fd2e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#a77e4b7a324085f64aa3929e84b59fd2e">ExpansionActionSwitchLights</a> ()</td></tr>
<tr class="separator:a77e4b7a324085f64aa3929e84b59fd2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074b634252c475f339343712e8d1b1b1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#a074b634252c475f339343712e8d1b1b1">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a074b634252c475f339343712e8d1b1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6011cae38e6d0ed0b1a434e2ffcd489a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#a6011cae38e6d0ed0b1a434e2ffcd489a">GetText</a> ()</td></tr>
<tr class="separator:a6011cae38e6d0ed0b1a434e2ffcd489a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8211cb8ae877c071cb25bc7de4460751"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#a8211cb8ae877c071cb25bc7de4460751">GetInputType</a> ()</td></tr>
<tr class="separator:a8211cb8ae877c071cb25bc7de4460751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d9aef7ba4a76169ade653ec1cab41d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#ac3d9aef7ba4a76169ade653ec1cab41d">HasTarget</a> ()</td></tr>
<tr class="separator:ac3d9aef7ba4a76169ade653ec1cab41d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cf999922ac3d3602026d30853aa866f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#a2cf999922ac3d3602026d30853aa866f">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:a2cf999922ac3d3602026d30853aa866f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af40f3c108c6046563a6c25c1e395b7c6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#af40f3c108c6046563a6c25c1e395b7c6">OnExecuteServer</a> (ActionData action_data)</td></tr>
<tr class="separator:af40f3c108c6046563a6c25c1e395b7c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab09a87c54e601eb545442fe36aa2728"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d6f/a07145.html#aab09a87c54e601eb545442fe36aa2728">CanBeUsedInVehicle</a> ()</td></tr>
<tr class="separator:aab09a87c54e601eb545442fe36aa2728"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00001">1</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a77e4b7a324085f64aa3929e84b59fd2e" name="a77e4b7a324085f64aa3929e84b59fd2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77e4b7a324085f64aa3929e84b59fd2e">&#9670;&#160;</a></span>ExpansionActionSwitchLights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionSwitchLights::ExpansionActionSwitchLights </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00003">3</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2cf999922ac3d3602026d30853aa866f" name="a2cf999922ac3d3602026d30853aa866f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cf999922ac3d3602026d30853aa866f">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionSwitchLights::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00031">31</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="aab09a87c54e601eb545442fe36aa2728" name="aab09a87c54e601eb545442fe36aa2728"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab09a87c54e601eb545442fe36aa2728">&#9670;&#160;</a></span>CanBeUsedInVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionSwitchLights::CanBeUsedInVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00079">79</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="a074b634252c475f339343712e8d1b1b1" name="a074b634252c475f339343712e8d1b1b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a074b634252c475f339343712e8d1b1b1">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionSwitchLights::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00010">10</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="a8211cb8ae877c071cb25bc7de4460751" name="a8211cb8ae877c071cb25bc7de4460751"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8211cb8ae877c071cb25bc7de4460751">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionActionSwitchLights::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00021">21</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="a6011cae38e6d0ed0b1a434e2ffcd489a" name="a6011cae38e6d0ed0b1a434e2ffcd489a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6011cae38e6d0ed0b1a434e2ffcd489a">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionSwitchLights::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00016">16</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="ac3d9aef7ba4a76169ade653ec1cab41d" name="ac3d9aef7ba4a76169ade653ec1cab41d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3d9aef7ba4a76169ade653ec1cab41d">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionSwitchLights::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00026">26</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<a id="af40f3c108c6046563a6c25c1e395b7c6" name="af40f3c108c6046563a6c25c1e395b7c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af40f3c108c6046563a6c25c1e395b7c6">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionSwitchLights::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/de4/a02780_source.html#l00066">66</a> of file <a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/<a class="el" href="../../df/de4/a02780_source.html">expansionactionswitchlights.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d6f/a07145.html">ExpansionActionSwitchLights</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
